# Contributing

'flutter\_map' is only as big and useful as it is because of generous open-source contributors!

{% embed url="<https://github.com/fleaflet/flutter_map/graphs/contributors>" %}
(Most) flutter\_map Contributors
{% endembed %}

We're always happy to receive improvements and fixes, so please submit them whenever you can! A few key points are listed below.

{% hint style="info" %}
Many feature additions are more suitable for plugins, instead of being added to the core.  This is aimed to reduce the future maintenance burden/cost on the maintainers.

If we deny your PR for this reason, please do consider publishing a plugin, and we'll be happy to add it to the [Plugins List](/v5/plugins/list.md)! See [Making A Plugin](/v5/plugins/making-a-plugin.md) for more information.
{% endhint %}

* Always [link](https://docs.github.com/en/issues/tracking-your-work-with-issues/linking-a-pull-request-to-an-issue) your PR to at least one issue, and as many as are resolved
* Create a draft PR as soon as work starts, and take it out of draft status when ready for review
* Avoid changing the package version or GitHub workflows
* Fix issues reported by the GitHub workflows (such as formatting)
* Avoid resolving conflicts yourself, if you're not 100% sure what you're changing
* Keep PRs to a specific scope where possible\
  \&#xNAN;*General/multi-resolution PRs are also perfectly OK, and by the time we get our hands onto it, it usually expands quite quickly* :smile:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v5/contributing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
